mail/spamdyke - The NetBSD Packages Collection

Filters incoming SMTP connections to qmail

spamdyke monitors incoming traffic, acting as a middleman between
qmail and the remote server. It catches the sender and recipient
addresses as they go by and logs them to syslog. If it sees something
it doesn't like (e.g. a blacklisted sender), it cuts the connection,
closes qmail and fakes the rest of the SMTP transaction with the
remote server. qmail thinks the remote server disconnected normally.
The remote server thinks qmail is rejecting the message. It's the
best of both worlds.

spamdyke can optionally reject the connection if the remote server's
reverse DNS entry does not exist, does not resolve, contains its
IP address and either contains a prohibited keyword (like "dynamic")
or ends in a country code; if the IP address, reverse DNS entry,
or envelope sender is listed in a blacklist; or if data is sent
before the SMTP greeting banner is displayed. spamdyke can also
limit recipients per connection, greylist for some or all domains,
and close connections that go idle or take too long.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfspamdyke-5.0.1nb3.tgz
NetBSD 8.0earmv7hfspamdyke-5.0.1nb3.tgz
NetBSD 8.0earmv7hfspamdyke-5.0.1nb3.tgz
NetBSD 8.0earmv7hfspamdyke-5.0.1nb3.tgz
NetBSD 8.0i386spamdyke-5.0.1nb3.tgz
NetBSD 8.0i386spamdyke-5.0.1nb3.tgz
NetBSD 8.0i386spamdyke-5.0.1nb3.tgz
NetBSD 8.0i386spamdyke-5.0.1nb3.tgz
NetBSD 8.0powerpcspamdyke-5.0.1nb3.tgz
NetBSD 8.0powerpcspamdyke-5.0.1nb3.tgz
NetBSD 8.0powerpcspamdyke-5.0.1nb3.tgz
NetBSD 8.0powerpcspamdyke-5.0.1nb3.tgz
NetBSD 8.0powerpcspamdyke-5.0.1nb3.tgz
NetBSD 8.0x86_64spamdyke-5.0.1nb3.tgz
NetBSD 8.0x86_64spamdyke-5.0.1nb3.tgz
NetBSD 8.0x86_64spamdyke-5.0.1nb3.tgz
NetBSD 8.0x86_64spamdyke-5.0.1nb3.tgz
NetBSD 9.0aarch64spamdyke-5.0.1nb3.tgz
NetBSD 9.0aarch64spamdyke-5.0.1nb3.tgz
NetBSD 9.0aarch64spamdyke-5.0.1nb3.tgz
NetBSD 9.0aarch64spamdyke-5.0.1nb3.tgz
NetBSD 9.0alphaspamdyke-5.0.1nb3.tgz
NetBSD 9.0alphaspamdyke-5.0.1nb3.tgz
NetBSD 9.0earmspamdyke-5.0.1nb3.tgz
NetBSD 9.0earmspamdyke-5.0.1nb3.tgz
NetBSD 9.0earmv6hfspamdyke-5.0.1nb3.tgz
NetBSD 9.0earmv6hfspamdyke-5.0.1nb3.tgz
NetBSD 9.0earmv6hfspamdyke-5.0.1nb3.tgz
NetBSD 9.0earmv6hfspamdyke-5.0.1nb3.tgz
NetBSD 9.0earmv6hfspamdyke-5.0.1nb3.tgz
NetBSD 9.0earmv7hfspamdyke-5.0.1nb3.tgz
NetBSD 9.0earmv7hfspamdyke-5.0.1nb3.tgz
NetBSD 9.0earmv7hfspamdyke-5.0.1nb3.tgz
NetBSD 9.0earmv7hfspamdyke-5.0.1nb3.tgz
NetBSD 9.0earmv7hfspamdyke-5.0.1nb3.tgz
NetBSD 9.0earmv7hfspamdyke-5.0.1nb3.tgz
NetBSD 9.0earmv7hfspamdyke-5.0.1nb3.tgz
NetBSD 9.0i386spamdyke-5.0.1nb3.tgz
NetBSD 9.0i386spamdyke-5.0.1nb3.tgz
NetBSD 9.0i386spamdyke-5.0.1nb3.tgz
NetBSD 9.0i386spamdyke-5.0.1nb3.tgz
NetBSD 9.0mips64ebspamdyke-5.0.1nb3.tgz
NetBSD 9.0mips64ebspamdyke-5.0.1nb3.tgz
NetBSD 9.0mips64ebspamdyke-5.0.1nb3.tgz
NetBSD 9.0mips64ebspamdyke-5.0.1nb3.tgz
NetBSD 9.0powerpcspamdyke-5.0.1nb3.tgz
NetBSD 9.0powerpcspamdyke-5.0.1nb3.tgz
NetBSD 9.0powerpcspamdyke-5.0.1nb3.tgz
NetBSD 9.0powerpcspamdyke-5.0.1nb3.tgz
NetBSD 9.0powerpcspamdyke-5.0.1nb3.tgz
NetBSD 9.0sparc64spamdyke-5.0.1nb3.tgz
NetBSD 9.0sparc64spamdyke-5.0.1nb3.tgz
NetBSD 9.0sparcspamdyke-5.0.1nb3.tgz
NetBSD 9.0sparcspamdyke-5.0.1nb3.tgz
NetBSD 9.0sparcspamdyke-5.0.1nb3.tgz
NetBSD 9.0x86_64spamdyke-5.0.1nb3.tgz
NetBSD 9.0x86_64spamdyke-5.0.1nb3.tgz
NetBSD 9.0x86_64spamdyke-5.0.1nb3.tgz
NetBSD 9.0x86_64spamdyke-5.0.1nb3.tgz
NetBSD 9.0x86_64spamdyke-5.0.1nb3.tgz
NetBSD 9.0x86_64spamdyke-5.0.1nb3.tgz
NetBSD 9.0x86_64spamdyke-5.0.1nb3.tgz
NetBSD 9.0x86_64spamdyke-5.0.1nb3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

tls
Enable TLS support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.